Bug 116034 - Restore crashes immediately after start with "muistin ylivuoto"
Restore crashes immediately after start with "muistin ylivuoto"
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-pilot (Show other bugs)
1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-17 14:04 EST by Mauri Sahlberg
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-27 13:35:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mauri Sahlberg 2004-02-17 14:04:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040211 Firefox/0.8

Description of problem:
Chose Restore from pilot-applet.
Pressed hotsync
Identified user
Asks if I want to restore.
Click yes. 
Crashes with "muistin ylivuoto" == "memory overflow"?


Version-Release number of selected component (if applicable):
2.0.10-4

How reproducible:
Always

Steps to Reproduce:
1.Choose restore from pilot-applet
2.Hotsync
3.Confirm that you wish to restore
    

Actual Results:  An error dialog pops up informing me that gpilotd has
crashed with "muistin ylivuoto" which translates roughly as "memory
overflow". My educated guess that means segmentation violation exception.


Expected Results:  Restore should have started.

Additional info:
Comment 1 Mauri Sahlberg 2004-02-18 01:48:18 EST
[Switching to Thread -1084465024 (LWP 2694)]
compare (d1=0x9f72168, d2=0x1428) at backup_conduit.c:601
/usr/src/debug/gnome-pilot-2.0.10/conduits/backup/backup_conduit.c:601:16136:beg:0x39bba3
(gdb) 


(gdb) thread apply all bt

Thread 1 (Thread -1084465024 (LWP 2694)):
#0  compare (d1=0x9f72168, d2=0x1428) at backup_conduit.c:601
#1  0x0039befe in gnome_real_pilot_conduit_backup_restore
(conduit=0x9f72168, psock=26, src_dir=0x0, func=0x80530a0
<gnome_pilot_conduit_backup_func>, func_data=0xbff19aa0,
_cfg=0x9f72168) at backup_conduit.c:700
#2  0x00f11f7a in ___marshal_Sig2 (closure=0x0,
return_value=0x9f72168, n_param_values=5, param_values=0xbff198c0,
invocation_hint=0xbff19808, marshal_data=0x0) at
gnome-pilot-conduit-backup.c:123
#3  0x0030ccb0 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#4  0x0031ebbf in g_signal_emit_by_name () from
/usr/lib/libgobject-2.0.so.0
#5  0x0031d513 in g_signal_emitv () from /usr/lib/libgobject-2.0.so.0
#6  0x00f126dc in gnome_pilot_conduit_backup_restore (self=0xbff19910,
pisock=167190888, directory=0x9f72168 "/home/mos/zire/MultiMail
Attachments.pdb", func=0x9f72168, func_data=0x9f72168) at
gnome-pilot-conduit-backup.c:442
#7  0x08054a25 in gpilot_start_unknown_restore (pfd=26,
device=0x9ec1e58, pilot=0x9ec1750) at manager.c:749
#8  0x08051286 in gpilot_attempt_restore (pu={passwordLength = 0,
username =
" ;¥\000\000\000\000\000\000\000\000\000\021\0023@\000\000\000\000\021\0023@\000\000\000\000\021\0023@\000\000\000\000\002\000\000\000\000\000\000\00082¥\000\200Øï\t\000\023¥\000\\¡ñ¿^\223\230\000#¯\236\00082¥\0008y\230\000\031\000\000\000\000Ð2¿\000\004\000\000|¡ñ¿\016l\230\000\200Øï\t\000Ð2¿\000\004\000\00082¥\000\200Øï\t\000\023¥\000\214¡ñ¿Í\223\230",
password =
"\200Øï\t\200Øï\tÄ¡ñ¿c\220\230\000\200Øï\t\200Øï\tü¡ñ¿Åd\230\000ñß\230\000¨]¤\000¶\001\000\000\001\000\000\000\021\210\230\00082¥\000\000\000\000\000\021\210\230\000{\000\000\0004Î\227\000p¢ñ¿\205Ó2¿\034\000\000\00082¥\000\200Øï\t\200Øï\tü¡ñ¿1\000\000\0000\000\000\00082¥\000 ;¥\000\200Øï\t\030¢ñ¿\eÐ\230",
userID = 0, viewerID = 0, lastSyncPC = 0, successfulSyncDate =
1077083967, lastSyncDate = 1077083967}, pfd=26, device=0x9f72168,
context=0xbff19ef8) at gpilotd.c:299
#9  0x080513c2 in gpilot_syncing_unknown_pilot (pu={passwordLength =
0, username =
" ;¥\000\000\000\000\000\000\000\000\000\021\0023@\000\000\000\000\021\0023@\000\000\000\000\021\0023@\000\000\000\000\002\000\000\000\000\000\000\00082¥\000\200Øï\t\000\023¥\000\\¡ñ¿^\223\230\000#¯\236\00082¥\0008y\230\000\031\000\000\000\000Ð2¿\000\004\000\000|¡ñ¿\016l\230\000\200Øï\t\000Ð2¿\000\004\000\00082¥\000\200Øï\t\000\023¥\000\214¡ñ¿Í\223\230",
password =
"\200Øï\t\200Øï\tÄ¡ñ¿c\220\230\000\200Øï\t\200Øï\tü¡ñ¿Åd\230\000ñß\230\000¨]¤\000¶\001\000\000\001\000\000\000\021\210\230\00082¥\000\000\000\000\000\021\210\230\000{\000\000\0004Î\227\000p¢ñ¿\205Ó2¿\034\000\000\00082¥\000\200Øï\t\200Øï\tü¡ñ¿1\000\000\0000\000\000\00082¥\000 ;¥\000\200Øï\t\030¢ñ¿\eÐ\230",
userID = 0, viewerID = 0, lastSyncPC = 0, successfulSyncDate =
1077083967, lastSyncDate = 1077083967}, pfd=167190888,
device=0x9f72168, context=0x9f72168) at gpilotd.c:332
#10 0x08051e8d in sync_device (device=0x9ec1e58, context=0x9ec14a8) at
gpilotd.c:612
#11 0x08052629 in visor_devices_timeout (data=0x9ec14a8) at gpilotd.c:888
#12 0x001358ec in g_main_context_wakeup () from /usr/lib/libglib-2.0.so.0
#13 0x00132fdd in unblock_source () from /usr/lib/libglib-2.0.so.0
#14 0x00133fd8 in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
#15 0x001342ef in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
#16 0x0013452c in g_main_context_iteration () from
/usr/lib/libglib-2.0.so.0
#17 0x08052c7e in wait_for_sync_and_sync (context=0x17931c) at
gpilotd.c:1068
#18 0x08052ee1 in main (argc=1, argv=0xbff1a584) at gpilotd.c:1128
Comment 2 Matthew Miller 2006-07-11 13:20:49 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.

Thanks!

NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 3 John Thacker 2006-10-27 13:35:27 EDT
Closing per lack of response.  Also note that FC1 and FC2 are no longer
supported even by Fedora Legacy.  If this still occurs on FC3 or FC4, please
assign to that version and Fedora Legacy.  If it still occurs on FC5 or FC6,
please reopen and assign to the correct version.

Note You need to log in before you can comment on or make changes to this bug.